## dpkg-repack 1.50

=== Makefile ===
# Copyright © 2022 Guillem Jover <guillem@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

DEB_VERSION ?= $(shell dpkg-parsechangelog -SVersion)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
MAN_DATE := $(shell TZ=UTC0 LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' '+%F')

INSTALL = install
SED = sed
CHMOD = chmod
POD2MAN = pod2man
PROVE = prove

all: build

%.1: %.pod
	$(POD2MAN) \
	  --section 1 \
	  --center='dpkg suite' \
	  --date='$(MAN_DATE)' \
	  --release='$(DEB_VERSION)' \
	  $< $@

%: %.pl
	$(SED) \
	  -e "s:my \$$VERSION = .*;:my \$$VERSION = '$(DEB_VERSION)';:" \
	  <$< >$@
	$(CHMOD) +x $@

build: dpkg-repack dpkg-repack.1

install: build
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) dpkg-repack $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) dpkg-repack.1 $(DESTDIR)/usr/share/man/man1

test:
	$(PROVE)

dist:
	git archive \
	  --prefix=dpkg-repack-$(DEB_VERSION)/ \
	  --output=dpkg-repack-$(DEB_VERSION).tar.xz \
	  $(DEB_VERSION)

clean:
	$(RM) dpkg-repack dpkg-repack.1

## dpkg-repack 0.16

=== debian/changelog ===
dpkg-repack (0.16) frozen unstable; urgency=low

  * Handle directories that are symlinks properly (#20280).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Mar 1998 22:30:35 -0800

dpkg-repack (0.15) unstable; urgency=low

  * Fixed minor lintian errors.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Mar 1998 20:00:09 -0800

dpkg-repack (0.14) unstable; urgency=low

  * Updated fsf address.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 12:54:00 -0800

dpkg-repack (0.13) unstable; urgency=low

  * Depend on perl 5.004 or greater (For Getopt::Long).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 17 Jan 1998 02:12:58 -0500

dpkg-repack (0.12) unstable; urgency=low

  * Added option to make it build a debian package of a different
    architecture than the default. (#17173)

 -- Joey Hess <joeyh@master.debian.org>  Fri, 16 Jan 1998 11:18:35 -0500

dpkg-repack (0.11) unstable; urgency=low

  * Fix bug #17053, the first package listed in the status file can be
    repacked now.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 13 Jan 1998 14:16:17 -0500

dpkg-repack (0.10) unstable; urgency=low

  * Don't include file list file in package. (Removes "contained list as info
    file" error from dpkg when you install dpkg-repacked packages.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 27 Nov 1997 23:26:07 -0500

dpkg-repack (0.9) unstable; urgency=low

  * Force the umask to 022 (#14516).
  * Use debhelper.
  * Be a bit more positive that the package will work in the description,
    since it seems to have worked pretty much ok for a year.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  4 Nov 1997 01:08:39 -0500

dpkg-repack (0.8) unstable; urgency=low

  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  4 Sep 1997 19:30:13 -0400

dpkg-repack (0.7) unstable; urgency=low

  * Moved it into unstable.
  * Changed the program so it puts its temporary directory and the result
    .deb file into the current directory, instead of /tmp. This is the same
    as alien works, and I made this change mainly so you can repack some
    large package on a spare partition when it won't fit on the partition
    that contains /tmp.
  * Added --root=<dir> option, to make it operate on the filesystem rooted at
    <dir>.
  * Remove temporary directory when done.
  * Man page fixes.
  * Added proper error trapping and handling.
  * Added progress messages.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Jun 1997 18:54:40 -0400

dpkg-repack (0.6) experimental; urgency=low

  * Fixed problem with packaging dangling symlinks.
  * Fixed permissions files when creating directories.
  * Add Architecture: field to the control file.
  * Removed some debugging info that was left in by mistake.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 6 Apr 1997 15:11:25 -0400

dpkg-repack (0.5) experimental; urgency=high

  * Oops! This package was not meant to be in unstable. It's supposed to be
    in experimental.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 20 Mar 1997 01:59:04 -0500

dpkg-repack (0.4) unstable; urgency=low

  * Use /var/lib/dpkg/status, not /var/lib/dpkg/available.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Mar 1997 16:39:05 -0500

dpkg-repack (0.3) unstable; urgency=low

  * New author/maintainer email address.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 15:30:21 -0500

dpkg-repack (0.2) experimental; urgency=low

  * Fixed bug where it did not install shlibs and other control files.
  * Routine update of debian/rules (now uses debmake).
  * Fixed problem with perl 5.003.07.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 6 Nov 1996 22:28:20 -0500

dpkg-repack (0.1) experimental; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 18 Oct 1996 00:07:24 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dpkg-repack
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: dpkg-repack
Architecture: all
Depends: perl (>= 5.004)
Description: attempts to put an unpacked .deb file back together
 dpkg-repack creates a .deb file out of a debian package that has already
 been installed. If any changes have been made to the package while it was
 unpacked (ie, files in /etc were modified), the new package will inherit
 the changes.
 .
 This utility can make it easy to copy packages from one computer to another,
 or to recreate packages that are installed on your system, but no longer
 available elsewhere, or to store the current state of a package before you
 upgrade it.

## dpkg-repack 0.20

=== debian/changelog ===
dpkg-repack (0.20) unstable; urgency=low

  * Changed how I disable locales when running dpkg -l - now set LC_ALL=C.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 17 Jun 1998 12:27:16 -0700

dpkg-repack (0.19) unstable; urgency=low

  * Version 0.16 broke repacking packages that had diverted files in them,
    because of how dpkg -L shows that info. (#23339). It turns out that
    older versions of dpkg-repack packed up not the original file, but the
    file that was diverted to replace it. I've decided that is incorrect
    behavior, and changed it so if there is a diversion, the original file is
    placed in the repacked package.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 13 Jun 1998 17:35:22 -0700

dpkg-repack (0.18) unstable; urgency=low

  * Removed some debugging output I accidentially put in the last version.
  * Workes now for packages that have filenames with spaces in them (like
    maelstrom).
  * Checged the descripton to remove the "attempts to". It should always
    work. (heh)

 -- Joey Hess <joeyh@master.debian.org>  Thu, 28 May 1998 06:14:27 -0400

dpkg-repack (0.17) unstable; urgency=low

  * Uses dpkg for querying the status file and getting the file list, rather
    than doing it by hand. However, dpkg-repack still accesses the dpkg
    database directly, becuase it copies maintainer scripts, etc, from
    there. There is no way to get that information via dpkg.
  * Fixed  bug #22603 - a failure when eg. /usr is a symlink.
    .
    If the package contains a file, that locally looks like a symlink
    pointing to a directory that is not in the package, then change it to a
    real directory in the repacked package. This assummes that in this case,
    the symlink was a local change (eg, /usr is a symlink).
    .
    However, if the directory in question contains no files in the filelist
    for this package, don't do that, just preserve the symlink in the repacked
    package. This handles the case where a package contains a symlink to a
    directory elsewhere.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 26 May 1998 07:02:14 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.4.1.2
 
 Package: dpkg-repack
 Architecture: all
 Depends: perl (>= 5.004)
-Description: attempts to put an unpacked .deb file back together
+Description: puts an unpacked .deb file back together
  dpkg-repack creates a .deb file out of a debian package that has already
  been installed. If any changes have been made to the package while it was
  unpacked (ie, files in /etc were modified), the new package will inherit

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d debian/tmp/usr/bin
	install dpkg-repack debian/tmp/usr/bin
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dpkg-repack 1.2

=== debian/changelog ===
dpkg-repack (1.2) unstable; urgency=low

  * Removed more historical cautions in the man page.
  * Dragged screaming and kicking into the world of perl5. Now -w and use
    strict safe; lots of cleanups. Still needs a bit of a rewrite.
  * Can repack multiple packages in sequence now.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Dec 1999 19:00:07 -0800

dpkg-repack (1.1) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 00:52:53 -0800

dpkg-repack (1.0) unstable; urgency=low

  * FHS
  * Integrated into my cvs build system.
  * It occurs to me that this is a pretty stable package, so I
    bumped the version number to 1.0.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 21:19:21 -0700

dpkg-repack (0.25) unstable; urgency=low

  * Depend on gcc, because it uses dpkg --build which brain-deadly requires
    dpkg be present (and of course dpkg doesn't depend on gcc..) 
    (Closes: #40985)

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Jul 1999 11:20:26 -0700

dpkg-repack (0.24) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:57:57 -0700

dpkg-repack (0.23) unstable; urgency=low

  * Quote another regexp (#39955).

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jun 1999 09:35:46 -0700

dpkg-repack (0.22) unstable; urgency=low

  * Added note to an error message that fakeroot may be used.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Apr 1999 21:16:22 -0700

dpkg-repack (0.21) unstable; urgency=low

  * Use --print-installation-architecture instead of --print-architecture
    (#31738)
  * Link to new homepage in the README.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jan 1999 13:04:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.1.2
+Build-Depends-Indep: debhelper
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.1.1.1
 
 Package: dpkg-repack
 Architecture: all
-Depends: perl (>= 5.004)
+Depends: perl5 | perl (>= 5.004)
 Description: puts an unpacked .deb file back together
  dpkg-repack creates a .deb file out of a debian package that has already
  been installed. If any changes have been made to the package while it was

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,13 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	install -d debian/tmp/usr/bin
+	dh_installdirs usr/bin
 	install dpkg-repack debian/tmp/usr/bin
 	dh_installdocs README
 	dh_installexamples
 	dh_installmenu
 	dh_installcron
 	dh_installmanpages
-#	dh_undocumented
 	dh_installchangelogs
 	dh_strip
 	dh_compress
@@ -37,9 +36,20 @@
 	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
-#	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb
 
+VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+
+# Update the debhelper web page. Not intended for use by anyone except the
+# author.
+installhook:
+	rm /home/ftp/pub/code/dpkg-repack/* || true
+	cp debian/changelog /home/pub/programs/dpkg-repack/CHANGES
+	echo $(VERSION) > /home/pub/programs/dpkg-repack/LATEST-VERSION-IS
+	cd /home/ftp/pub/code/dpkg-repack; \
+		ln -sf ../debian/dpkg-repack_$(VERSION).tar.gz dpkg-repack_$(VERSION).tar.gz; \
+		ln -sf ../debian/dpkg-repack_$(VERSION).tar.gz dpkg-repack.tar.gz; \
+
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build clean binary-indep binary-arch binary dist

## dpkg-repack 1.8

=== debian/changelog ===
dpkg-repack (1.8) unstable; urgency=low

  * Better error handling thanks to Bill Allombert. Closes: #141499

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Apr 2002 22:10:39 -0500

dpkg-repack (1.7) unstable; urgency=low

  * Fixed uninitalized value if the last item in a package's file list
    was a symlink to a directory that also exists in the package.
    Closes: #88978
  * Removed the debstd-style output.
  * Use debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Mar 2001 16:18:26 -0800

dpkg-repack (1.6) unstable; urgency=low

  * Use debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 14:56:29 -0700

dpkg-repack (1.5) unstable; urgency=low

  * Documented a conffile problem I can do nothing about. Closes: #69009

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Sep 2000 16:55:52 -0700

dpkg-repack (1.4) unstable; urgency=low

  * Applied a cleaner fix for the mkdir problem, by David Lively
    <lively@ucentric.com>, Closes: #64605

 -- Joey Hess <joeyh@debian.org>  Wed, 24 May 2000 12:52:31 -0700

dpkg-repack (1.3) unstable; urgency=low

  * Don't bomb out if ran in a directory with the suid/sgid bit set.
    Closes: #64605

 -- Joey Hess <joeyh@debian.org>  Wed, 24 May 2000 12:42:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
-Source: dpkg-repack
+aource: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends-Indep: debhelper
+Build-Depends-Indep: debhelper (>= 3.4)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.1.1.1
+Standards-Version: 3.5.6.1
 
 Package: dpkg-repack
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testroot
 	dh_clean
 	dh_installdirs usr/bin
-	install dpkg-repack debian/tmp/usr/bin
+	install dpkg-repack debian/dpkg-repack/usr/bin
 	dh_installdocs README
 	dh_installexamples
 	dh_installmenu
@@ -33,7 +33,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
@@ -46,7 +45,7 @@
 installhook:
 	rm /home/ftp/pub/code/dpkg-repack/* || true
 	cp debian/changelog /home/pub/programs/dpkg-repack/CHANGES
-	echo $(VERSION) > /home/pub/programs/dpkg-repack/LATEST-VERSION-IS
+	echo -n $(VERSION) > /home/pub/programs/dpkg-repack/LATEST-VERSION-IS
 	cd /home/ftp/pub/code/dpkg-repack; \
 		ln -sf ../debian/dpkg-repack_$(VERSION).tar.gz dpkg-repack_$(VERSION).tar.gz; \
 		ln -sf ../debian/dpkg-repack_$(VERSION).tar.gz dpkg-repack.tar.gz; \

## dpkg-repack 1.18

=== debian/changelog ===
dpkg-repack (1.18) unstable; urgency=low

  * Add a note that the package was produced by dpkg-repack to its
    description. Closes: #217377

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2003 13:50:13 -0400

dpkg-repack (1.17) unstable; urgency=low

  * Swtich from build-depend-indep to build-depends.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 2003 20:45:07 -0400

dpkg-repack (1.16) unstable; urgency=low

  * Work again on packages _without_ conffiles. Closes: #193884

 -- Joey Hess <joeyh@debian.org>  Mon, 19 May 2003 18:46:21 -0400

dpkg-repack (1.15) unstable; urgency=low

  * Trim missing conffiles from the conffiles list, since dpkg-deb requires
    all listed conffiles exist. Closes: #193393
  * Skip over "diverts others" lines in dpkg -L. Closes: #193394

 -- Joey Hess <joeyh@debian.org>  Thu, 15 May 2003 13:58:08 -0400

dpkg-repack (1.14) unstable; urgency=low

  * fakeroot's new -u flag should be used if using dpkg-repack with fakeroot.
    Otherwise permisions of non-root-owned files can be messed up. Warn about
    this if -u is not used.
  * Other minor changes.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 May 2003 19:27:28 -0400

dpkg-repack (1.13) unstable; urgency=low

  * Chown directories after making them to deal with directories not owned by
    root. Closes: #191323
    (There is still a bug in fakeroot that makes dpkg-repack not work under
    fakeroot, but I will file a separate bug for that.)

 -- Joey Hess <joeyh@debian.org>  Thu,  1 May 2003 10:47:38 -0400

dpkg-repack (1.12) unstable; urgency=low

  * Remove "L" from man page section.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2003 18:30:31 -0400

dpkg-repack (1.11) unstable; urgency=low

  * Rebuild w/o /usr/doc link.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:28:39 -0500

dpkg-repack (1.10) unstable; urgency=low

  * use dh_installman.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 18:26:31 -0400

dpkg-repack (1.9) unstable; urgency=low

  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:41:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
-aource: dpkg-repack
+Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends-Indep: debhelper (>= 3.4)
+Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.5.6.1
+Standards-Version: 3.6.1.0
 
 Package: dpkg-repack
 Architecture: all
-Depends: perl5 | perl (>= 5.004)
+Depends: ${misc:Depends}, ${perl:Depends}
 Description: puts an unpacked .deb file back together
  dpkg-repack creates a .deb file out of a debian package that has already
  been installed. If any changes have been made to the package while it was

## dpkg-repack 1.19

=== debian/changelog ===
dpkg-repack (1.19) unstable; urgency=low

  * Add missing dependency on dpkg-dev.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Aug 2004 13:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dpkg-repack
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, dpkg-dev
 Description: puts an unpacked .deb file back together
  dpkg-repack creates a .deb file out of a debian package that has already
  been installed. If any changes have been made to the package while it was

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_install dpkg-repack usr/bin
	dh_installdocs README
	dh_installexamples
	dh_installman dpkg-repack.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the author.
DIR=/home/web/kitenet.net/programs/dpkg-repack
installhook:
	cp debian/changelog $(DIR)/CHANGES
	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary dist

## dpkg-repack 1.20

=== debian/changelog ===
dpkg-repack (1.20) unstable; urgency=low

  * Use dpkg --print-architecture instead of now-deprecated
    --print-installation-architecture. How to reconcile this with the change
    in version 0.21, I don't know.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jun 2005 18:21:03 -0400

## dpkg-repack 1.22

=== debian/changelog ===
dpkg-repack (1.22) unstable; urgency=low

  * Add --generate option. Closes: #273468

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Jan 2006 15:58:38 -0500

dpkg-repack (1.21) unstable; urgency=low

  * chown conffiles and control after writing them, necessary so that in
    fakeroot -u these files are not recorded as owned by the user doing the
    packing. Closes: #320233

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Jul 2005 10:48:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2
 
 Package: dpkg-repack
 Architecture: all

## dpkg-repack 1.24

=== debian/changelog ===
dpkg-repack (1.24) unstable; urgency=low

  * Typo. Closes: #367826

 -- Joey Hess <joeyh@debian.org>  Thu, 18 May 2006 12:09:21 -0500

dpkg-repack (1.23) unstable; urgency=low

  * Man page typo. Closes: #362044
  * Patch from Tomas Pospisek to use cp -a whe copying a named pipe,
    as cp -pd will read from the pipe. Closes: #287319

 -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2006 17:15:11 -0500

## dpkg-repack 1.25

=== debian/changelog ===
dpkg-repack (1.25) unstable; urgency=low

  * Skip obsolete conffiles, don't include in repacked debs. Closes: #397666

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 16:24:12 -0500

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.2
+XS-Vcs-Svn: svn://svn.kitenet.net/joey/trunk/src/packages/dpkg-repack
 
 Package: dpkg-repack
 Architecture: all

## dpkg-repack 1.27

=== debian/changelog ===
dpkg-repack (1.27) unstable; urgency=low

  * Update url to web page in README.
  * Remove installhook stuff in debian/rules no longer used.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:43:33 -0400

dpkg-repack (1.26) unstable; urgency=low

  * Update for 822-date deprecation. Closes: #415796

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Mar 2007 16:17:08 -0400

## dpkg-repack 1.28

=== debian/changelog ===
dpkg-repack (1.28) unstable; urgency=low

  * dpkg-repack's repository has moved from subversion to git.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:36:49 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.2
-XS-Vcs-Svn: svn://svn.kitenet.net/joey/trunk/src/packages/dpkg-repack
+Standards-Version: 3.7.2
+Vcs-Git: git://git.kitenet.net/dpkg-repack
 
 Package: dpkg-repack
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,5 @@
 	dh_md5sums
 	dh_builddeb
 
-VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
-
-# Update the web page. Not intended for use by anyone except the author.
-DIR=/home/web/kitenet.net/programs/dpkg-repack
-installhook:
-	cp debian/changelog $(DIR)/CHANGES
-	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary dist

## dpkg-repack 1.29

=== debian/changelog ===
dpkg-repack (1.29) unstable; urgency=low

  * Apparently knoppix, dpkg -L does not individually list all parent
    directories of files in a package. So don't rely on the parent directories
    always having been made, and create any that are missing.

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Mar 2008 20:33:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Vcs-Git: git://git.kitenet.net/dpkg-repack
+Homepage: http://kitenet.net/~joey/code/dpkg-repack/
 
 Package: dpkg-repack
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, dpkg-dev
 Description: puts an unpacked .deb file back together
- dpkg-repack creates a .deb file out of a debian package that has already
+ dpkg-repack creates a .deb file out of a package that has already
  been installed. If any changes have been made to the package while it was
  unpacked (ie, files in /etc were modified), the new package will inherit
  the changes.

## dpkg-repack 1.30

=== debian/changelog ===
dpkg-repack (1.30) unstable; urgency=low

  * Use debhelper v7; rules file minimisation.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:27:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@

binary-indep: build
	dh binary-indep --until dh_prep
	dh_install dpkg-repack usr/bin
	dh_installdocs README
	dh_installman dpkg-repack.1
	dh binary-indep --remaining

binary: binary-indep binary-arch

## dpkg-repack 1.31

=== debian/changelog ===
dpkg-repack (1.31) unstable; urgency=low

  * Update the man page re ucf.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Mar 2009 22:52:37 -0400

## dpkg-repack 1.31maemo2

=== debian/changelog ===
dpkg-repack (1.31maemo2) fremantle; urgency=low

  * use new debhelper7

 -- Thomas Tanner <tanner@maemory.com>  Mon, 25 Jan 2010 00:00:00 +0100

dpkg-repack (1.31maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu karmic version
  * add debhelper7 build dep

 -- Thomas Tanner <tanner@maemory.com>  Fri, 22 Jan 2010 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper7 (>= 7.4.10maemo3), dpkg-dev (>= 1.9.0)
+Maintainer: Thomas Tanner <tanner@maemory.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
+
 export DH_VERBOSE=1
 %:
 	dh $@

## dpkg-repack 1.32

=== debian/changelog ===
dpkg-repack (1.32) unstable; urgency=low

  * Avoid adding a second Architecture field to the control file.
    Closes: #558135

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Nov 2009 12:19:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper7 (>= 7.4.10maemo3), dpkg-dev (>= 1.9.0)
-Maintainer: Thomas Tanner <tanner@maemory.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.8.3
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

## dpkg-repack 1.33ubuntu2

=== debian/changelog ===
dpkg-repack (1.33ubuntu2) natty; urgency=low

  * Unbreak the --root option by passing --admindir to dpkg-query.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 20 Apr 2011 09:55:45 +0100

dpkg-repack (1.33ubuntu1) natty; urgency=low

  * Merge with debian unstable.
    - Fixes multiarch support (LP: #729241)
  * Remaining changes:
    - debian/control: Drop dpkg-dev dependency. It's not needed and pulls
      build-essential, g++, etc. into our desktop images.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 05 Mar 2011 22:04:44 -0600

dpkg-repack (1.33) unstable; urgency=low

  * Use dpkg-query --control-path rather than hardcoding dpkg path info.
    Will be needed for multiarch.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Mar 2011 15:16:04 -0400

dpkg-repack (1.32ubuntu1) natty; urgency=low

  * debian/control: Drop dpkg-dev dependency. It's not needed and pulls
    build-essential, g++, etc. into our desktop images. (LP: #728424,
    Debian #616318)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:43:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/
 
 Package: dpkg-repack
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, dpkg-dev
+Depends: ${misc:Depends}, ${perl:Depends}
 Description: puts an unpacked .deb file back together
  dpkg-repack creates a .deb file out of a package that has already
  been installed. If any changes have been made to the package while it was

## dpkg-repack 1.35

=== debian/changelog ===
dpkg-repack (1.35) unstable; urgency=low

  * Does not need to depend on dpkg-dev. Closes: #616318
  * Fix dpkg-querty call to support --rootdir. (Evan Dandresa) Closes: #630765

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Jun 2011 11:27:11 -0400

dpkg-repack (1.34) unstable; urgency=low

  * Only needs to build-depend on dpkg, not dpkg-dev. Closes: #616318
  * Clean up rules file.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Apr 2011 15:04:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 7), dpkg (>= 1.9.0)
+Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

## dpkg-repack 1.36

=== debian/changelog ===
dpkg-repack (1.36) unstable; urgency=low

  * Fix check for non-installed packages to not misfire on a package that
    has no dpkg control files. Closes: #644619

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Oct 2011 00:08:54 -0400

## dpkg-repack 1.37

=== debian/changelog ===
dpkg-repack (1.37) unstable; urgency=low

  * Fix generation of conffiles list file. For some reason dpkg-query
    does not list this file, so it has to be generated when there's a
    Conffiles stanza in the package status. Closes: #651165
  * Remove the Conffiles stanza from the generated package's control file;
    dpkg ignores it anyway.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Dec 2011 12:20:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

## dpkg-repack 1.38

=== debian/changelog ===
dpkg-repack (1.38) unstable; urgency=medium

  * Do not filter list and conffiles control files from --control-path.
    Thanks, Guillem Jover
  * Use Die instead of die so that cleanup is performed on error.
    Thanks, Guillem Jover
  * Use dpkg-deb directly instead of indirectly through the dpkg frontend
    Thanks, Guillem Jover
  * Misc man page fixes.
    Thanks, Guillem Jover

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 13:43:59 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/dpkg-repack
 Homepage: http://kitenet.net/~joey/code/dpkg-repack/

## dpkg-repack 1.40

=== debian/changelog ===
dpkg-repack (1.40) unstable; urgency=low

  * New maintainer. Closes: #768511
  * Update project information (homepage, releases and VCS).
  * Expand debian/copyright to include an explicit «Copyright ©» and
    the full GPL-2+ license notice.
  * Update license notice in dpkg-repack to match the one in debian/copyright,
    by adding the «or later» clause. See #768511.
  * Switch from FSF postal address to a URL.
  * Move Getopt::Long use declaration to the top of the file.
  * Replace -w in the shebang with an explicit use warnings declaration.
  * Improve man page formatting.
    - Generalize the SYNOPSIS.
    - Mark programs, command-line arguments and field names in bold.
    - Mark variable text in italic.
    - Use italic instead of <> to mark variable text.
    - Change .TH line to include the date and version, and to mention this is
      now part of the dpkg suite.
    - Spell package name with a dash.
  * Add references to external man pages, and append the section number to
    program references.
  * Use low-precedence operators for error handling constructs.
  * Use scalar variables instead of barewords for filehandles.
  * Use three-form open call.
  * Use package lexical variables instead of global ones.
  * Pass around control file data as an array of lines.
  * Make $packagename a loop lexical variable.
  * Remove unused $control variable.
  * Set $dirty_flag to 0 when we have done the cleanup.
  * Pass a filehandle reference instead of a bareword to print().
  * Uppercase and rename HERE-doc marker from eof to USAGE.
  * Rework usage output.
  * Add a --help option.
  * Add a --version option.
  * Do not unnecessarily interpolate strings.
  * Remove & sigil from GetOptions function call.
  * Use correct operator for numeric value in $> comparison.
  * Convert debian/rules from dh(1) to explicit debhelper commands.
  * Bump Standard-Version to 3.9.6 (no changed needed).
  * Switch to source format “3.0 (native)”.
  * Bump debhelper compatibility to level 9.
  * Fix description mangling to add a proper blank line separator.
  * Fix example dpkg-deb invocation in dpkg-repack(1) --generate description
    to create a properly named binary package. Closes: #767220
  * Add new -d, --deb-option to allow passing build options to dpkg-deb.
    Closes: #661953

 -- Guillem Jover <guillem@debian.org>  Tue, 25 Nov 2014 23:59:06 +0100

dpkg-repack (1.39) unstable; urgency=medium

  * Orphaned dpkg-repack.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:17:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.5
-Vcs-Git: git://git.kitenet.net/dpkg-repack
-Homepage: http://kitenet.net/~joey/code/dpkg-repack/
+Build-Depends: debhelper (>= 9), dpkg (>= 1.9.0)
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Uploaders: Guillem Jover <guillem@debian.org>
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/dpkg/dpkg-repack.git
+Homepage: https://wiki.debian.org/Teams/Dpkg
 
 Package: dpkg-repack
 Architecture: all

## dpkg-repack 1.41

=== debian/changelog ===
dpkg-repack (1.41) unstable; urgency=low

  * Actually fix the blank line insertion for the descriptor mangling.
  * Add a Vcs-Browser field.
  * Slightly reword package Description.
  * Remove blank lines between sections in man page.
  * Mark architecture all in bold in man page.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 Apr 2015 17:04:52 +0200

=== debian/control ===
Source: dpkg-repack
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9), dpkg (>= 1.9.0)
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg-repack.git
Vcs-Git: git://anonscm.debian.org/dpkg/dpkg-repack.git
Homepage: https://wiki.debian.org/Teams/Dpkg

Package: dpkg-repack
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Debian package archiving tool
 dpkg-repack creates a .deb file out of a package that has already been
 installed. If any changes have been made to the package while it was
 unpacked (i.e. files in /etc were modified), the new package will inherit
 the changes.
 .
 This utility can make it easy to copy packages from one computer to another,
 or to recreate packages that are installed on your system, but no longer
 available elsewhere, or to store the current state of a package before you
 upgrade it.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_clean

build-indep:
build-arch:
build: build-indep build-arch

.PHONY: clean build-indep build-arch build

binary-indep:
	dh_testroot
	dh_prep
	dh_install
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_perl
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
binary: binary-indep binary-arch

.PHONY: binary-indep binary-indep binary

## dpkg-repack 1.43

=== debian/changelog ===
dpkg-repack (1.43) unstable; urgency=medium

  * Fix variable name botched in a last-minute rebase.
  * Add very basic unit test to check syntax failures.

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Feb 2016 09:03:09 +0100

dpkg-repack (1.42) unstable; urgency=medium

  * Use https for the debian/copyright Format URL.
  * Remove ancient versioned Build-Depends on dpkg.
  * Do not add spurious newlines to the binary control file.
  * Ignore case when comparing all field names, although «dpkg -s» already
    normalizes them for known ones.
  * Use a proper non-deterministic temporary directory per package. This fixes
    a possible security issue, and using --generate with multiple packages.
  * Include the package name in the temporary directory, so that they
    are easier to distinguish when operating on multiple packages with
    --generate.
  * Check immediately if we cannot get any package control information.
  * Switch to use Dpkg::Control to handle the control data. Add a dependency
    on libdpkg-perl.
  * Add basic autopkgtest test cases.
  * When using --generate, also print the error summary if the tree might
    be broken due to processing errors.
  * Automatically use fakeroot if available and not running as root.
  * Add fakeroot to a Suggests field.
  * Rename packagename to package-name in --help output.
  * Remove duplicated program name prefix in generate Info message.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Remove duplicated newline in Warn message.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Fix grammatical errors and typos in man page and --help output.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Add a --tag option to select what to mark as being repackaged.
    Based on a patch by Brian Beffa <brbsix@gmail.com>. Closes: #788628
  * Add a --tag value to mark the package version as repackaged.
    Closes: #788627
  * Switch git repository URLs from git:// to https:// in README and
    debian/control Vcs-Git field.
  * Bump Standard-Version to 3.9.7 (no changed needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 28 Feb 2016 23:10:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: dpkg-repack
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg (>= 1.9.0)
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg-repack.git
-Vcs-Git: git://anonscm.debian.org/dpkg/dpkg-repack.git
+Vcs-Git: https://anonscm.debian.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
+Build-Depends:
+ dpkg-dev (>= 1.17.14),
+ debhelper (>= 9.20141010),
+ libtest-strict-perl <!nocheck>,
 
 Package: dpkg-repack
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, libdpkg-perl
+Suggests: fakeroot
 Description: Debian package archiving tool
  dpkg-repack creates a .deb file out of a package that has already been
  installed. If any changes have been made to the package while it was

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 binary-indep:
 	dh_testroot
 	dh_prep
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	prove
+endif
+
 	dh_install
 	dh_installdocs
 	dh_installchangelogs

## dpkg-repack 1.44

=== debian/changelog ===
dpkg-repack (1.44) unstable; urgency=medium

  * Spelling fixes. Thanks to Josh Soref <jsoref@gmail.com>.
  * Line-wrap dependency fields.
  * Bump Standard-Version to 4.1.5 (no changed needed).
  * Bump debhelper compatibility to level 10.
  * Use the provided pkgname when calling dpkg commands, instead of partially
    reconstructing it from metadata, as we might end up not matching the same
    arch-qualifying the user specified. Closes: #870724
  * Use Dpkg::IPC instead of qx() or open() subcommand pipe support. This will
    give more accurate error messages and will check all function return codes
    involved.
  * Namespace debhelper files with package names.
  * Update Vcs URLs to point to the new hosting site.
  * Move author information in man page from a dedicated section into a proper
    copyright and license header.
  * Rewrite man page from groff to POD.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Jul 2018 13:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,24 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg-repack.git
-Vcs-Git: https://anonscm.debian.org/git/dpkg/dpkg-repack.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
+Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
+Rules-Requires-Root: no
 Build-Depends:
  dpkg-dev (>= 1.17.14),
- debhelper (>= 9.20141010),
+ debhelper (>= 10),
  libtest-strict-perl <!nocheck>,
 
 Package: dpkg-repack
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libdpkg-perl
-Suggests: fakeroot
+Depends:
+ ${misc:Depends},
+ ${perl:Depends},
+ libdpkg-perl,
+Suggests:
+ fakeroot,
 Description: Debian package archiving tool
  dpkg-repack creates a .deb file out of a package that has already been
  installed. If any changes have been made to the package while it was

## dpkg-repack 1.45

=== debian/changelog ===
dpkg-repack (1.45) unstable; urgency=medium

  * Mark package as Multi-Arch foreign.
  * Bump Standard-Version to 4.3.0 (no changed needed).
  * Bump debhelper compatibility to level 11.
  * Update copyright years.
  * Remove unused last argument from SafeSystem() function.
  * Use the .. operator instead of a C-style for loop.
  * Remove trailing whitespace.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Mar 2019 00:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Rules-Requires-Root: no
 Build-Depends:
  dpkg-dev (>= 1.17.14),
- debhelper (>= 10),
+ debhelper (>= 11),
  libtest-strict-perl <!nocheck>,
 
 Package: dpkg-repack
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${perl:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,28 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+
+MANDATE := $(shell TZ=UTC0 LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' '+%F')
 
 clean:
 	dh_testdir
 	dh_clean
 
-build-indep:
+dpkg-repack.1: dpkg-repack.pod
+	pod2man \
+	  --section 1 \
+	  --center='dpkg suite' \
+	  --date='$(MANDATE)' \
+	  --release='$(DEB_VERSION)' \
+	  $< $@
+
+build-indep: dpkg-repack.1
 build-arch:
 build: build-indep build-arch
 
 .PHONY: clean build-indep build-arch build
 
-binary-indep:
+binary-indep: build-indep
 	dh_testroot
 	dh_prep

=== debian/tests/control ===
Tests: repack
Depends: @, fakeroot

## dpkg-repack 1.45+nmu1

=== debian/changelog ===
dpkg-repack (1.45+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:27:21 +0800

## dpkg-repack 1.46

=== debian/changelog ===
dpkg-repack (1.46) unstable; urgency=medium

  * Bump Standard-Version to 4.4.1 (no changed needed).
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to debhelper compatibility level 12.
  * Remove dpkg-dev Build-Dpends, satisfied in oldstable.
  * Remove Documentation::RequirePodLinksIncludeText perlcritic suppression.
    The test was bogus and has now been removed from perlcritic.
  * Configure Getopt::Long with «posix_default bundling_values no_ignore_case».
  * Remove backwards compatibility workaround for libdpkg-perl < 1.18.2,
    satisfied in oldstable.
  * Surround replacement names with <> in --help output.
  * Refactor package archival into a new Archive_Package() function.
  * Use a block eval to trap errors from Archive_Package(), so that we will
    detect any errors not just the ones coming from Error() calls.
  * Switch SafeSystem to use Dpkg::IPC::spawn().
  * Switch to Dpkg::ErrorHandling reporting functions. We do not need the
    ad-hoc implementations anymore for problem reporting, and can use the
    ones in libdpkg-perl. Even though they are private, because this is a
    sibling project, we can cope with the lack of interface guarantees.
  * Update copyright years.
  * Add lintian override for dpkg internal database usage false positive.

 -- Guillem Jover <guillem@debian.org>  Sat, 19 Oct 2019 04:51:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Rules-Requires-Root: no
 Build-Depends:
- dpkg-dev (>= 1.17.14),
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libtest-strict-perl <!nocheck>,
 
 Package: dpkg-repack

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	dh_installman
 	dh_perl
 	dh_link
+	dh_lintian
 	dh_compress
 	dh_fixperms
 	dh_installdeb
